import { StyleVariant, parseClassString } from './tailwind-parser';
interface NodeTree {
    [key: string]: ElementNode | TextNode;
}
interface ElementNode {
    type: 'element';
    tag: string;
    classes: Record<string, {
        formula: undefined;
    }>;
    attrs: Record<string, {
        type: 'value';
        value: string;
    }>;
    events: Record<string, never>;
    style: Record<string, string>;
    styleVariables: Record<string, never>;
    variants: StyleVariant[];
    children: string[];
}
interface TextNode {
    type: 'text';
    value: {
        type: 'value';
        value: string;
    };
}
export { parseClassString };
export declare function tailwindToToddle(html: string): NodeTree;
