interface MediaQuery {
    'min-width'?: string;
    'max-width'?: string;
    'min-height'?: string;
    'max-height'?: string;
}
export interface StyleVariant {
    id?: string;
    className?: string;
    class?: string;
    hover?: boolean;
    focus?: boolean;
    focusWithin?: boolean;
    'focus-within'?: boolean;
    'focus-visible'?: boolean;
    checked?: boolean;
    active?: boolean;
    disabled?: boolean;
    firstChild?: boolean;
    'first-child'?: boolean;
    lastChild?: boolean;
    'last-child'?: boolean;
    'first-of-type'?: boolean;
    'last-of-type'?: boolean;
    evenChild?: boolean;
    'even-child'?: boolean;
    visited?: boolean;
    link?: boolean;
    invalid?: boolean;
    empty?: boolean;
    'popover-open'?: boolean;
    mediaQuery?: MediaQuery;
    breakpoint: 'small' | 'medium' | 'large';
    pseudoElement?: string;
    style: CSSProperties;
}
export declare const defaultStyles: {
    "flex-direction": string;
    display: string;
    "border-style": string;
    "border-width": string;
};
export declare function parseClassString(className: string): {
    style: Record<string, string>;
    variants: StyleVariant[];
};
export declare const colorMap: ColorMap;
interface ColorMap {
    [color: string]: string | {
        [shade: string]: string;
    };
}
export interface GridRegex {
    regex: RegExp;
    style: {
        [key: string]: string;
    } | ((match: RegExpMatchArray) => {
        [key: string]: string;
    });
}
export interface MarginValues {
    [key: string]: string;
}
export interface TableClasses {
    [key: string]: {
        [key: string]: string;
    };
}
export declare type CSSProperties = {
    [key: string]: string | number | CSSProperties;
};
export {};
